multiple grid: a grid using non-project CRS ignores 'cross' grid type 

2014-07-11 07:10 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19247

Description

Steps to reproduce:

    1. Open an already created project 

    2. Create a new composer

    3. Add a map item, and in the grid settings add one grid

    4. Choose a CRS that is not the one of your project (let's say your UTM-based, choose WGS84, or vise-versa)

    5. Set the X and Y interval so you can have a few vertical and horizontal lines to look at

    6. Change the grid type to 'Cross', at this stage you'll notice the grid is still drawn using lines, the cross style is ignored

Maybe this is a restriction caused by reprojection? If so, it should be mentioned somewhere. I'm however hoping it's an issue that can be

resolved :)

History

#1 - 2014-07-17 04:16 AM - Giovanni Manghi

- Category set to Map Composer/Printing

#2 - 2014-10-04 06:53 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

I was certain you'd filed this! Anyway, fixed in master.

2025-04-27 1/1


